import java.io.*;
import java.io.IOException;
import java.util.*;
import java.util.StringTokenizer;
import java.util.Vector;

import org.apache.hadoop.fs.FSDataInputStream;
import org.apache.hadoop.fs.FSDataOutputStream;
import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.SequenceFile;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.Writable;
import org.apache.hadoop.io.WritableComparable;
import org.apache.hadoop.io.WritableComparable;


public class CreateWrite {
	static String newFolder;

	public static void main(String[] args) {
		
		try{
			newFolder = "new_directory";//this will be user/hadoop/new_directory
			Path newFolderPath= new Path(newFolder);

			FileSystem hdfs =FileSystem.get(new Configuration());
			Path homeDir=hdfs.getHomeDirectory();//this prints the home directory of your HDFS
			System.out.println("Home folder -" +homeDir);

			/* if the path already exists, delete it */
			if(hdfs.exists(newFolderPath))
			{
				hdfs.delete(newFolderPath, true);
			}

			/* make a directory with the new path */
			hdfs.mkdirs(newFolderPath);
			Path newFilePath=new Path(newFolder+"/newFile.txt");
			//hdfs.createNewFile(newFilePath);

			StringBuilder sb=new StringBuilder();

			for(int i=1;i<=5;i++) {
				sb.append("Data");
				sb.append(i);
				sb.append("\n");
			}

			byte[] byt = sb.toString().getBytes();
			FSDataOutputStream fsOutStream = hdfs.create(newFilePath);
			/* write bytes to the output stream */
			fsOutStream.write(byt);
			fsOutStream.close();

		} catch (Exception e) {
			e.printStackTrace();
		}		
	}
}